#pragma once
#include "mission.h"

/* Add/Run hooks. */
unsigned int hook_add(unsigned int parent, char* func, char* stack);
void hook_rm(unsigned int id);
void hook_rmParent(unsigned int parent);

/* ======================================================== */
/* Run Hooks: */
/* */
/* Currently used: */
/*    -- "land"     - When landed. */
/*    -- "takeoff"  - When taking off. */
/*    -- "jump"     - When changing systems. */
/*    -- "time"     - When time is increment drastically  */
/*                    (hyperspace and taking off. */
/* ======================================================== */

int hooks_run(char* stack);
void hook_runID(unsigned int id); /* Runs hook of specific id. */

/* Destroy hook. */
void hook_cleanup(void);

